
QGIS Application - Bug report #17579

Saving qgz  (zipped project file) file will null file

2017-11-28 10:38 PM - Nathan Woodrow

Status: Closed

Priority: High

Assignee: Nathan Woodrow

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Window Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 25476

Description

If you open a .qgz based file and then save it will null out the .qgz file meaning you loose the projecct and any data along side it inside the

zip file.

Associated revisions

Revision 7f474a09 - 2017-12-18 12:55 AM - Nathan Woodrow 

Fix #17579 - Use guid to make temp file name for zip file

QTemporaryFile doesn't work here with QgsZipUtils on Windows for some

reason but is fine on Linux.  Yay development!

History

#1 - 2017-12-18 12:53 AM - Nathan Woodrow

- Assignee set to Nathan Woodrow

#2 - 2017-12-18 01:04 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|7f474a097f6289b76e140a4719fa7719cd7d8977.

#3 - 2018-02-22 11:46 AM - Giovanni Manghi

- Resolution set to fixed/implemented
